<?php

namespace App\Modules\FactPaymentMethod\Application\Create;

use App\Modules\FactPaymentMethod\Domain\FactPaymentMethod;
use App\Modules\FactPaymentMethod\Domain\FactPaymentMethodRepository;
use Illuminate\Support\Facades\DB;

final class FactPaymentMethodCreator
{
    public function __construct(private FactPaymentMethodRepository $repository)
    {
    }

    public function __invoke(FactPaymentMethod $creator)
    {
        return $this->repository->insert($creator);
    }
}
